import { HiveSqlLexer } from '../lib/hive/HiveSqlLexer';
import { HiveSqlParser } from '../lib/hive/HiveSqlParser';
import BasicParser from './common/basicParser';
export default class HiveSQL extends BasicParser {
    constructor() {
        super(...arguments);
        this.preferredRules = new Set();
    }
    createLexerFormCharStream(charStreams) {
        const lexer = new HiveSqlLexer(charStreams);
        return lexer;
    }
    createParserFromTokenStream(tokenStream) {
        return new HiveSqlParser(tokenStream);
    }
    get splitListener() {
        return null;
    }
    processCandidates(candidates, allTokens, caretTokenIndex) {
        return {
            syntax: [],
            keywords: []
        };
    }
}
//# sourceMappingURL=hive.js.map