import { SparkSqlLexer } from '../lib/spark/SparkSqlLexer';
import { SparkSqlParser } from '../lib/spark/SparkSqlParser';
import BasicParser from './common/basicParser';
export default class SparkSQL extends BasicParser {
    constructor() {
        super(...arguments);
        this.preferredRules = new Set();
    }
    createLexerFormCharStream(charStreams) {
        const lexer = new SparkSqlLexer(charStreams);
        return lexer;
    }
    createParserFromTokenStream(tokenStream) {
        return new SparkSqlParser(tokenStream);
    }
    get splitListener() {
        return null;
    }
    processCandidates(candidates, allTokens, caretTokenIndex) {
        return {
            syntax: [],
            keywords: []
        };
    }
}
//# sourceMappingURL=spark.js.map