import { TrinoSqlLexer } from '../lib/trinosql/TrinoSqlLexer';
import { TrinoSqlParser } from '../lib/trinosql/TrinoSqlParser';
import BasicParser from './common/basicParser';
export default class TrinoSQL extends BasicParser {
    constructor() {
        super(...arguments);
        this.preferredRules = new Set();
    }
    createLexerFormCharStream(charStreams) {
        const lexer = new TrinoSqlLexer(charStreams);
        return lexer;
    }
    createParserFromTokenStream(tokenStream) {
        const parser = new TrinoSqlParser(tokenStream);
        return parser;
    }
    get splitListener() {
        return null;
    }
    processCandidates(candidates, allTokens, caretTokenIndex) {
        return {
            syntax: [],
            keywords: []
        };
    }
}
//# sourceMappingURL=trinosql.js.map